package dao

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	"xorm.io/xorm"
)

type InstallmentPaymentListDao interface {
	GetInstallmentPaymentListById(id int) (m *models.InstallmentPaymentList, err error)
	FinInstallmentPaymentList(arg map[string]string) (m *[]models.InstallmentPaymentList, err error)
	UpdateInstallmentPaymentListBySess(sess *xorm.Session, m *models.InstallmentPaymentList, forceColums ...string) (int64, error)
	InsertInstallmentPaymentList(m *models.InstallmentPaymentList) (id int, err error)
}
