package models

type SuperCloudIssuanceUserFreeRobotRecords struct {
	Id       int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid      int    `json:"uid" xorm:"not null default 0 comment('uid') INT(11)"`
	RobotId  int    `json:"robot_id" xorm:"not null default 0 comment('机器人id') INT(11)"`
	EndTime  string `json:"end_time" xorm:"not null default 'CURRENT_TIMESTAMP' comment('过期时间') DATETIME"`
	State    int    `json:"state" xorm:"not null default 1 comment('状态(1 正在使用 2已过期)') TINYINT(1)"`
	CreateAt string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
