package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

func NewInstallmentPaymentRepaidFlowDb(engine *xorm.Engine) dao.InstallmentPaymentRepaidFlowDao {
	return &InstallmentPaymentRepaidFlowDb{Db: engine}
}

type InstallmentPaymentRepaidFlowDb struct {
	Db *xorm.Engine
}

func (i InstallmentPaymentRepaidFlowDb) InsertInstallmentPaymentRepaidFlowBySession(session *xorm.Session, m *models.InstallmentPaymentRepaidFlow) (id int, err error) {
	_, err = session.InsertOne(m)
	if err != nil {
		return 0, err
	}
	return m.Id, nil
}
func (i InstallmentPaymentRepaidFlowDb) FinInstallmentRepaidFlow(arg map[string]string) (m *[]models.InstallmentPaymentRepaidFlow, err error) {
	mm := make([]models.InstallmentPaymentRepaidFlow, 0)
	sess := i.Db.Where("uid=?", arg["uid"]).And("record_id=?", arg["id"])
	err = sess.Find(&mm)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &mm, nil
}
